#include <bits/stdc++.h>
using namespace std;
#define ll long long

vector<int> solve(vector<int> A){
    ll n;
    n=A.size();
    vector<int>ANS;
    ll s=0;
    if(n%2){
        ANS.push_back((n-1)/2);
    }
    for(int i=0;i<n/2;i++){
        ANS.push_back(i,n-1-i);
    }
        
    return ANS;
}